cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Browser version is not supported Error. No. 4-44-50001 + Error No. 1-44-043

JBB
Just Moved In

Browser version is not supported Error. No. 4-44-50001: Chromebook, Chrome Browser

Also, on the same Chromebook:

Sorry, an error has occurred. Please try again later. Error No. 1-44-043: FireFox [going on 3 days now]

Also, on the same Chromebook:

Pik TV app, Guide is called up, Show selected, nothing happens.

 

Any help, thanks.

3 REPLIES 3

KHR
TELUS Employee
TELUS Employee

Have you tried clearing your cache and are you navigating via telus.com/watchpik?

 

Firefox isn't an officially supported browser, so unfortunately can't troubleshoot there. 

Cranbrook
Just Moved In

I have the same problem - since the update on Nov 20th.  PikTV no longer supports Chrome O/S.  I bought a lan cord to connect my Acer/Window 10 to the modem..and it works, but buffers.  The tech I spoke with for almost 2 hours was awesome and we tried options...but no.  She suggeted trying Firefox so at least I know not to bother.  She suggested calling Samsung  

 

KHR
TELUS Employee
TELUS Employee

Hi all,

 

Unfortunately, Chrome O/S is not a supported operating system for Pik and Optik on the go. Currently supported operating systems and browsers are listed here. Some other operating systems and browsers may work, but TELUS doesn't officially support them. 

 

Flash is being deprecated on Dec. 31, so TELUS had to come up with an HTML5 solution before then. I will make sure that Chrome O/S support is on the development team's radar.